# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

# Similarly for .package_note* files (#2059504)
%if 0%{?fedora} && 0%{?fedora} < 37
%undefine _package_note_file
%endif

Name:		perl-Test-DistManifest
Version:	1.014
Release:	27.%{__distinit}%{__distvers}
Summary:	Author test that validates a package MANIFEST
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Test-DistManifest
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-DistManifest-%{version}.tar.gz
BuildArch:	noarch
# ===================================================================
# Module build requirements
# ===================================================================
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build::Tiny) >= 0.039
# ===================================================================
# Module requirements
# ===================================================================
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Unix)
BuildRequires:	perl(Module::Manifest) >= 0.07
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# ===================================================================
# Regular test requirements
# ===================================================================
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(if)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# ===================================================================
# Dependencies
# ===================================================================
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module provides a simple method of testing that a MANIFEST matches the
distribution.

%prep
%setup -q -n Test-DistManifest-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes CONTRIBUTING README examples/
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::DistManifest.3*

%changelog
* Fri Jun 30 2023 Paul Howarth <paul@city-fan.org> - 1.014-27
- Use SPDX-format license file

* Tue Sep  6 2022 Paul Howarth <paul@city-fan.org> - 1.014-25
- Drop workaround for package note files from Fedora 37 onwards

* Tue Mar  1 2022 Paul Howarth <paul@city-fan.org> - 1.014-23
- Work around package note files breaking t/02manifest.t (#2059504)
- Use %%license unconditionally

* Sun Jun  9 2019 Paul Howarth <paul@city-fan.org> - 1.014-13
- Perl 5.30 rebuild

* Tue Apr 10 2018 Paul Howarth <paul@city-fan.org> - 1.014-9
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop workaround for building with Module::Build::Tiny < 0.039

* Fri Sep 30 2016 Paul Howarth <paul@city-fan.org> - 1.014-5
- BR: perl-generators where available

* Wed Feb 11 2015 Paul Howarth <paul@city-fan.org> - 1.014-1
- Update to 1.014
  - Fix tests that fail when ExtUtils::Manifest's version is not new enough for
    the build output during installation (CPAN RT#102017)
- Drop workaround for CPAN RT#102017

* Mon Feb  9 2015 Paul Howarth <paul@city-fan.org> - 1.013-1
- Update to 1.013
  - Tests are now made against a small sample dist, rather than ourselves, to
    avoid errors with newer ExtUtils::MakeMaker, as well as enable running in
    the raw git repository (CPAN RT#78760, CPAN RT#101287)
  - Many tooling and metadata updates
- Switch to Module::Build::Tiny flow
- Don't bother with the extra tests, since Module::Build::Tiny doesn't provide
  a simple way to run them
- Work around non-skipped files generated during the build process with older
  versions of ExtUtils::Manifest (CPAN RT#102017)

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 1.012-8
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- Specify all dependencies

* Sun Jul 15 2012 Paul Howarth <paul@city-fan.org> - 1.012-2
- Drop BR: perl(File::Find), not dual-lived
- Specify version requirements for Test::Pod and Test::Pod::Coverage

* Mon Apr 23 2012 Paul Howarth <paul@city-fan.org> - 1.012-1
- Update to 1.012
  - Now taking default MANIFEST.SKIP content directly from installed version
    of ExtUtils::Manifest, rather than inlining a copy
- This release by ETHER -> update source URL
- BR: perl(Carp), perl(Cwd), perl(ExtUtils::Manifest)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
- Update patch for building with old ExtUtils::MakeMaker versions

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.011-4
- Import from Fedora

* Mon Jul 25 2011 Iain Arnell <iarnell@gmail.com> - 1.011-3
- Update filtering for rpm 4.9

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.011-2
- Perl mass rebuild

* Wed Apr 27 2011 Petr Pisar <ppisar@redhat.com> - 1.011-1
- 1.011 bump
- Move to ExtUtils::MakeMaker

* Tue Jan 25 2011 Petr Pisar <ppisar@redhat.com> - 1.009-1
- Specfile autogenerated by cpanspec 1.78
- Remove BuildRoot stuff
- Install into perl core directory
- Hack %%check for rpmbuild bug #672538
